package sudoku;

import gui.SudokuController;
import gui.SudokuView;

/** SolverMain is the main class for the Sudoku Solver */
public class SolverMain {

    private Solver model;
    private SudokuView view;
    private SudokuController controller;

    /** Constructor */
    SolverMain() {
        model = new Solver();
        view = new SudokuView();
        controller = new SudokuController(model, view);
    }

    /** Start the GUI */
    void start() {
        controller.start();
    }

    /**
     * Main method
     * 
     * @param args command line arguments
     */
    public static void main(String[] args) {
        SolverMain main = new SolverMain();
        main.start();
    }
}
